scala.tools.scalap

# Classfiles

#### object Classfiles

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Classfiles
2. AnyRef
3. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### final val CONSTANT_CLASS: Int(7)

7. #### final val CONSTANT_DOUBLE: Int(6)

8. #### final val CONSTANT_FIELDREF: Int(9)

9. #### final val CONSTANT_FLOAT: Int(4)

10. #### final val CONSTANT_INTEGER: Int(3)

11. #### final val CONSTANT_INTFMETHODREF: Int(11)

12. #### final val CONSTANT_LONG: Int(5)

13. #### final val CONSTANT_METHODREF: Int(10)

14. #### final val CONSTANT_NAMEANDTYPE: Int(12)

15. #### final val CONSTANT_STRING: Int(8)

16. #### final val CONSTANT_UNICODE: Int(2)

17. #### final val CONSTANT_UTF8: Int(1)

18. #### final val JAVA_MAGIC: Int(-889275714)

19. #### final val JAVA_MAJOR_VERSION: Int(45)

20. #### final val JAVA_MINOR_VERSION: Int(3)

21. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

22. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

23. #### final val constantTagToString: Map[Int, String]

24. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

25. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

26. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

27. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

28. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

29. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

30. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

31. #### final def notify(): Unit

    Definition Classes
      AnyRef

32. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

33. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

34. #### def toString(): String

    Definition Classes
      AnyRef → Any

35. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

36. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

37. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped